5 Comments


  1. I updated my list to include URL Fixer, Flashblock, and I moved Copy Plain Text from “lightly recommended” to “recommended“.

  2. what about webmailCompose – it doesn´t work with ff 2.0.0.2 🙁

    who can help me ??

  3. Install MR Tech Local Install Addon. It will allow you to install any extension, even it says it won’t install properly. Usually, the only reason an Addon won’t install is because the installer does not indicate the extension will work with new version numbers. In fact, it probably does, but the person who wrote the extension didn’t specify it. You can also unzip the *.xpi file and modify the installer script, and re-zip to get it to install. Installing MR Tech is easier.


Leave a Reply to Detlef Cancel reply